Skip to content
Start here

List abuse report mitigations

abuse_reports.mitigations.list(strreport_id, MitigationListParams**kwargs) -> SyncV4PagePagination[Optional[MitigationListResponse]]
GET/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
account_id: str
maxLength32
report_id: str
effective_after: Optional[str]

Returns mitigation that were dispatched after the given date

effective_before: Optional[str]

Returns mitigations that were dispatched before the given date

entity_type: Optional[Literal["url_pattern", "account", "zone"]]

Filter by the type of entity the mitigation impacts.

One of the following:
"url_pattern"
"account"
"zone"
page: Optional[int]

Where in pagination to start listing abuse reports

per_page: Optional[int]

How many abuse reports per page to list

sort: Optional[Literal["type,asc", "type,desc", "effective_date,asc", 5 more]]

A property to sort by, followed by the order

One of the following:
"type,asc"
"type,desc"
"effective_date,asc"
"effective_date,desc"
"status,asc"
"status,desc"
"entity_type,asc"
"entity_type,desc"
status: Optional[Literal["pending", "active", "in_review", 2 more]]

Filter by the status of the mitigation.

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type: Optional[Literal["legal_block", "misleading_interstitial", "phishing_interstitial", 4 more]]

Filter by the type of mitigation. This filter parameter can be specified multiple times to include multiple types of mitigations in the result set, e.g. ?type=rate_limit_cache&type=legal_block.

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"
ReturnsExpand Collapse
class MitigationListResponse:
mitigations: List[Mitigation]
id: str

ID of remediation.

effective_date: str

Date when the mitigation will become active. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

entity_id: str
entity_type: Literal["url_pattern", "account", "zone"]
One of the following:
"url_pattern"
"account"
"zone"
status: Literal["pending", "active", "in_review", 2 more]

The status of a mitigation

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type: Literal["legal_block", "misleading_interstitial", "phishing_interstitial", 4 more]

The type of mitigation

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"

List abuse report mitigations

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.abuse_reports.mitigations.list(
    report_id="report_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result.items[0]
print(page.mitigations)
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "mitigations": [
      {
        "id": "id",
        "effective_date": "2009-11-10T23:00:00Z",
        "entity_id": "entity_id",
        "entity_type": "url_pattern",
        "status": "pending",
        "type": "legal_block"
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "mitigations": [
      {
        "id": "id",
        "effective_date": "2009-11-10T23:00:00Z",
        "entity_id": "entity_id",
        "entity_type": "url_pattern",
        "status": "pending",
        "type": "legal_block"
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}